summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNP-Hardass <NP-Hardass@gentoo.org>2017-02-07 21:24:44 -0500
committerNP-Hardass <NP-Hardass@gentoo.org>2017-02-08 12:38:51 -0500
commit7a709b7a02de59dd6f33d90559c4e9bf2409f120 (patch)
tree6de46b633732913bb3ddcc93e002d2dc524a1216
parentdev-tex/pgf: remove old (diff)
downloadgentoo-7a709b7a02de59dd6f33d90559c4e9bf2409f120.tar.gz
gentoo-7a709b7a02de59dd6f33d90559c4e9bf2409f120.tar.bz2
gentoo-7a709b7a02de59dd6f33d90559c4e9bf2409f120.zip
net-fs/openafs-kernel: Bump to 1.6.20.1, supports up to kernel 4.9, #608446
Package-Manager: portage-2.3.0
-rw-r--r--net-fs/openafs-kernel/Manifest1
-rw-r--r--net-fs/openafs-kernel/openafs-kernel-1.6.20.1.ebuild135
2 files changed, 136 insertions, 0 deletions
diff --git a/net-fs/openafs-kernel/Manifest b/net-fs/openafs-kernel/Manifest
index e0417e339ea..b8d1f7f2279 100644
--- a/net-fs/openafs-kernel/Manifest
+++ b/net-fs/openafs-kernel/Manifest
@@ -1,2 +1,3 @@
DIST openafs-1.6.18.3-src.tar.bz2 14668811 SHA256 b9cb45fdfd2aab543363e64da0b56167bfc1a302afdbcd5a076fb704a0c16a70 SHA512 679b463109c47fd252853e6f12c7e60148cf78f6d2699d468b1e1f85bbd5b392a909c3f2201460e3192ad7a60bad64c58489980c2efcd904ab4851df8724d47f WHIRLPOOL 8180188e3ecc87f002d5a4b4c4641949869a09b88474a75850e27dea1134dca1156ae4533f997494d64b8820aa4dc0f0ceb7b4dda01648c95f70408c190d353b
+DIST openafs-1.6.20.1-src.tar.bz2 14672548 SHA256 dc869eecf6c81949d3dd2021eaf87118ef9b90ec5012a35f64836a02a58a8826 SHA512 cd6a0cd5d48fffaf37d143a9f8f7cd84c78ada6a645ac1a6cd3cf5b4a8a5af602e84133506c797e62ef2e61180a1c89915ea8657ac95bb872ada018b1baf0d59 WHIRLPOOL e289125306024b5a4d651017f35c0b2a91cadfeecf5820298e5ecccebf8c94a8126f7b70c120a687c5edfc4ad769ecfe72f9597173c34fb0dec6e13a7619cf4c
DIST openafs-patches-20160801-2.tar.xz 11004 SHA256 7037d9657bd3c90725fd8b2b063bef80cedcc9fbf0605c7a3bf3543b64eecb58 SHA512 42768bc54cbeafea2c8042b84368d9fcfc4e54681d1077eb1fd6a3d1633aa1a0ba2f6fd291a182a9f2f930f111d2ff587be9fe8a8b941b1e9535136ee344633b WHIRLPOOL 786c2155142916594f178cdc66631da5514f60ee0155e4420d702b4a934968e99ebb5d2de03beb8e22f00742972aeb3d9fb84d9051d9d67091264781deaa2108
diff --git a/net-fs/openafs-kernel/openafs-kernel-1.6.20.1.ebuild b/net-fs/openafs-kernel/openafs-kernel-1.6.20.1.ebuild
new file mode 100644
index 00000000000..0d22eda1e18
--- /dev/null
+++ b/net-fs/openafs-kernel/openafs-kernel-1.6.20.1.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit autotools linux-mod multilib toolchain-funcs versionator
+
+MY_PV=$(delete_version_separator '_')
+MY_PN="${PN/-kernel}"
+MY_P="${MY_PN}-${MY_PV}"
+PVER="20160801-2"
+
+DESCRIPTION="The OpenAFS distributed file system kernel module"
+HOMEPAGE="https://www.openafs.org/"
+# We always d/l the doc tarball as man pages are not USE=doc material
+[[ ${PV} == *_pre* ]] && MY_PRE="candidate/" || MY_PRE=""
+SRC_URI="
+ https://openafs.org/dl/openafs/${MY_PRE}${MY_PV}/${MY_P}-src.tar.bz2
+ https://dev.gentoo.org/~bircoph/afs/${MY_PN}-patches-${PVER}.tar.xz
+"
+
+LICENSE="IBM BSD openafs-krb5-a APSL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="debug"
+
+S=${WORKDIR}/${MY_P}
+
+CONFIG_CHECK="~!AFS_FS KEYS"
+ERROR_AFS_FS="OpenAFS conflicts with the in-kernel AFS-support. Make sure not to load both at the same time!"
+ERROR_KEYS="OpenAFS needs CONFIG_KEYS option enabled"
+
+QA_TEXTRELS_x86_fbsd="/boot/modules/libafs.ko"
+QA_TEXTRELS_amd64_fbsd="/boot/modules/libafs.ko"
+
+PATCHES=( "${WORKDIR}/gentoo/patches" )
+
+pkg_pretend() {
+ if use kernel_linux && kernel_is ge 4 10 ; then
+ ewarn "Gentoo supports kernels which are supported by OpenAFS"
+ ewarn "which are limited to the kernel versions: < 4.10"
+ ewarn ""
+ ewarn "You are free to utilize epatch_user to provide whatever"
+ ewarn "support you feel is appropriate, but will not receive"
+ ewarn "support as a result of those changes."
+ ewarn ""
+ ewarn "Please do not file a bug report about this."
+ fi
+}
+
+pkg_setup() {
+ if use kernel_linux; then
+ linux-mod_pkg_setup
+ fi
+}
+
+src_prepare() {
+ default
+
+ # packaging is f-ed up, so we can't run eautoreconf
+ # run autotools commands based on what is listed in regen.sh
+ eaclocal -I src/cf
+ eautoconf
+ eautoconf -o configure-libafs configure-libafs.ac
+ eautoheader
+ einfo "Deleting autom4te.cache directory"
+ rm -rf autom4te.cache
+}
+
+src_configure() {
+ local myconf=""
+ # OpenAFS 1.6.11 has a bug with kernels 3.17-3.17.2 that requires a config option
+ if use kernel_linux && kernel_is -ge 3 17 && kernel_is -le 3 17 2; then
+ myconf="--enable-linux-d_splice_alias-extra-iput"
+ fi
+
+ local ARCH="$(tc-arch-kernel)"
+ local MY_ARCH="$(tc-arch)"
+ local BSD_BUILD_DIR="/usr/src/sys/${MY_ARCH}/compile/GENERIC"
+
+ if use kernel_linux; then
+ myconf+=( --with-linux-kernel-headers="${KV_DIR}" \
+ --with-linux-kernel-build="${KV_OUT_DIR}"
+ )
+ elif use kernel_FreeBSD; then
+ myconf+=( --with-bsd-kernel-build="${BSD_BUILD_DIR}" )
+ fi
+ econf \
+ $(use_enable debug debug-kernel) \
+ "${myconf[@]}"
+}
+
+src_compile() {
+ ARCH="$(tc-arch-kernel)" AR="$(tc-getAR)" emake V=1 -j1 only_libafs
+}
+
+src_install() {
+ if use kernel_linux; then
+ local srcdir=$(expr "${S}"/src/libafs/MODLOAD-*)
+ [[ -f ${srcdir}/libafs.${KV_OBJ} ]] || die "Couldn't find compiled kernel module"
+
+ MODULE_NAMES="libafs(fs/openafs:${srcdir})"
+
+ linux-mod_src_install
+ elif use kernel_FreeBSD; then
+ insinto /boot/modules
+ doins "${S}"/src/libafs/MODLOAD/libafs.ko
+ fi
+}
+
+pkg_postinst() {
+ # Update linker.hints file
+ use kernel_FreeBSD && /usr/sbin/kldxref "${EPREFIX}/boot/modules"
+ use kernel_linux && linux-mod_pkg_postinst
+
+ if use kernel_linux; then
+ local v
+ for v in ${REPLACING_VERSIONS}; do
+ if ! version_is_at_least 1.6.18.2 ${v}; then
+ ewarn "As of OpenAFS 1.6.18.2, Gentoo's packaging no longer requires"
+ ewarn "that CONFIG_DEBUG_RODATA be turned off in one's kernel config."
+ ewarn "If you only turned this option off for OpenAFS, please re-enable"
+ ewarn "it, as keeping it turned off is a security risk."
+ break
+ fi
+ done
+ fi
+}
+
+pkg_postrm() {
+ # Update linker.hints file
+ use kernel_FreeBSD && /usr/sbin/kldxref "${EPREFIX}/boot/modules"
+ use kernel_linux && linux-mod_pkg_postrm
+}